inventory.set_level
Set the on-hand quantity for a (warehouse, sku) after a recount, with a required reason (recount | goods_received | damage | correction | other — other also requires a note). Never touches what is reserved.
- Scope:
inventory.adjust - System: no
- Reachable from:
POST /v1/commands/inventory.set_level(tenant credential) · MCP toolinventory.set_level· SDKclient.call('inventory.set_level', …) - Events:
inventory.adjusted,inventory.replenished
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "note": { "maxLength": 500, "minLength": 1, "type": "string" }, "on_hand": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "reason": { "enum": [ "recount", "goods_received", "damage", "correction", "other" ], "type": "string" }, "sku_id": { "minLength": 1, "type": "string" }, "warehouse_id": { "type": "string" } }, "required": [ "sku_id", "on_hand", "reason" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "on_hand": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" }, "sku_id": { "type": "string" }, "warehouse_id": { "type": "string" } }, "required": [ "warehouse_id", "sku_id", "on_hand" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)